// cncappDlg.h : header file
//

#if !defined(AFX_CNCAPPDLG_H__2A4DA9B4_F8E8_4953_B7BE_35B104659AD6__INCLUDED_)
#define AFX_CNCAPPDLG_H__2A4DA9B4_F8E8_4953_B7BE_35B104659AD6__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CCncappDlg dialog

class CCncappDlg : public CDialog
{
// Construction
public:
	CCncappDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CCncappDlg)
	enum { IDD = IDD_CNCAPP_DIALOG };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCncappDlg)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CCncappDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnConnect();
	afx_msg void OnStop();
	afx_msg void OnEstop();
	afx_msg void OnDestroy();
	afx_msg void OnSpindle();
	afx_msg void OnOut1();
	afx_msg void OnOut2();
	afx_msg void OnOut3();
	afx_msg void OnGoto();
	afx_msg void OnGotoz();
	afx_msg void OnGotolin();
	afx_msg void OnRefAll();
	afx_msg void OnSoftlimits();
	afx_msg void OnProbe();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CNCAPPDLG_H__2A4DA9B4_F8E8_4953_B7BE_35B104659AD6__INCLUDED_)
